#-*- coding: utf-8 -*-
LIBRARY = {
  'str': {
    'capitalize': {
      'name': 'capitalize()',
      'def': ["The capitalize() method returns a string where the first character is upper case."],
      'parameter': ['No parameters'],
      'example1': ['>> text = "how are you ?"', '>> x = text.capitalize()', '>> print(x)', '>> How are you ?'],
      'example2': ['>> text = "36 cars"', '>> x = text.capitalize()', '>> print(x)', '>> 36 cars']
    },
    'casefold': {
      'name': 'casefold()',
      'def': ["The casefold() method returns a string where all the characters are lower case.",
      "This method is similar to the lower() method, but the casefold() method is stronger, meaning",
      "that it will convert more characters into lower case."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'Hello EveryBODY'", ">> x = text.casefold()", ">> print(x)", ">> hello everybody"],
      'example2': [">> text = 'der Fluß'", ">> x = text.casefold()", ">> print(x)", ">> der fluss"],
    },
    'center': {
      'name': 'center(width[, fillchar])',
      'def': ["The center() method will center align the string, using a specified character (space is default)",
      "as the fill character."],
      'parameter': ["width --> Required. The length of the returned string",
      "fillchar --> Optional. The character to fill the missing space on each side. Default is' '(space)."],
      'example1': [">> text = 'game'", ">> x = text.center(10)",">> print(x)", ">>   game   "],
      'example2': [">> text = 'game'", ">> x = text.center(9, '-')",">> print(x)", ">> --game---"],
    },
    'count': {
      'name': 'count(sub[, start[, end]])',
      'def': ["The count() method returns the number of times a specified value appears in the string"],
      'parameter': ["sub --> Required. A string. The string to value to search for",
      "start --> Optional. An integer. The position to start the search. Default is 0",
      "end --> Optional. Excluded. An integer. The position to end the search.",
      "Default is the end of the string"],
      'example1': [">> text = 'you sleep, you eat, your live'", ">> x = text.count('you')", ">> print(x)", ">> 3"],
      'example2': [">> text = 'you sleep, you eat, your live'", ">> x = text.count('you', 11, 23)", ">> print(x)", ">> 2"],
    },
    'encode': {
      'name': 'encode(encoding, errors)',
      'def': ["The encode() method encodes the string, using the specified encoding. If no encoding is specified,",
      "UTF-8 will be used."],
      'parameter': ["encoding --> Optional. A String specifying the encoding to use. Default is UTF-8",
      "errors --> Optional. A String specifying the error method. Legal values are:",
       "'backslashreplace', 'ignore', 'namereplace', 'stric', 'replace', 'xmlcharrefreplace'"],
      'example1': [">> text = 'Hello Ståle'", ">> x = text.encode()", ">> print(x)", ">> b'Hello St\\xc3\\xa5le'"],
      'example2': [">> text = 'Hello Ståle'", ">> x = text.encode('ascii', 'ignore')", ">> print(x)", ">> b'Hello Stle'"],
    },
    'endswith': {
      'name': 'endswith(suffix[, start[, end]])',
      'def': ["The endswith() method returns True if the string ends with the specified value, otherwise False."],
      'parameter': ["suffix --> Required. The value to check if the string ends with", 
      "start --> Optional. An Integer specifying at which position to start the search",
      "end --> Optional. Excluded. An Integer specifying at which position to end the search"],
      'example1': [">> text = 'abcdef'", ">> x = text.endswith('def')", ">> print(x)", ">> True"],
      'example2': [">> text = 'abcdef'", ">> x = text.endswith('bc', 0, 3)", ">> print(x)", ">> True"],
    },
    'expandtabs': {
      'name': 'expandtabs(tabsize)',
      'def': ["The expandtabs() method sets the tab size to the specified number of whitespaces."],
      'parameter': ["tabsize --> Optional. A number specifying the tabsize. Default tabsize is 8"],
      'example1': [">> text = 'B\\tI\\tG'", ">> x = text.expandtabs()", ">> print(x)", ">> B       I       G"],
      'example2': [">> text = 'abc\\tdefg\\thi'", ">> x = text.expandtabs(4)", ">> print(x)", ">> abc defg    thi"],
    },
    'find': {
      'name': 'find(sub[, start[, end]])',
      'def': ["The find() method finds the first occurrence of the specified value.", 
      "The find() method returns -1 if the value is not found."],
      'parameter': ["sub --> Required. The value to search for",
      "start --> Optional. Where to start the search. Default is 0",
      "end --> Optional. Excluded. Where to end the search. Default is to the end of the string"],
      'example1': [">> text = 'Hi Mr Yung !'", ">> x = text.find('Yung')", ">> print(x)", ">> 6"],
      'example2': [">> text = 'i like kiwi'", ">> x = text.find('i',4, 10)", ">> print(x)", ">> 8"],
    },
    'format': {
      'name': 'format(*args, **kwargs)',
      'def': ["The format() method formats the specified value(s) and insert them inside the string's placeholder.",
      "The placeholder is defined using curly brackets: {}."],
      'parameter': ["*arg / **kwargs --> Required. The values can be of any data type."],
      'example1': [">> text = 'I\'m {name}, I have {age} years.'", ">> x = text.format(name = 'Kevin', age = 25)",
      ">> print(x)", ">> I'm Kevin, I have 25 years."],
      'example2': [">> text = 'I bought a {} for {:.1f}$.'", ">> x = text.format('cake', 12.75)", ">> print(x)",
       ">> I bought a cake for 12.8$."],
    },
    'index': {
      'name': 'index(sub[, start[, end]])',
      'def': ["The index() method finds the first occurrence of the specified value.",
      "The index() method raises an exception if the value is not found."],
      'parameter': ["sub --> Required. The value to search for",
      "start --> Optional. Where to start the search. Default is 0",
      "end --> Optional. Excluded. Where to end the search. Default is to the end of the string"],
      'example1': [">> text = 'Oh my dear friend!'", ">> x = text.index('dear')", ">> print(x)", ">> 6"],
      'example2': [">> text = 'Oh my dear friend!'", ">> x = text.index('r', 6, 14)", ">> print(x)", ">> 9"],
    },
    'isalnum': {
      'name': 'isalnum()',
      'def': ["The isalnum() method returns True if all the characters are alphanumeric, meaning alphabet","letter (a-z) and numbers (0-9)."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'ZoneA12M51'", ">> x = text.isalnum()", ">> print(x)", ">> True"],
      'example2': [">> text = 'Zone 12B5D4S'", ">> x = text.isalnum()", ">> print(x)", ">> False"],
    },
    'isalpha': {
      'name': 'isalpha()',
      'def': ["The isalpha() method returns True if all the characters are alphabet letters (a-z)."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'CompagnyX'", ">> x = text.isalpha()", ">> print(x)", ">> True"],
      'example2': [">> text = 'Compagny83'", ">> x = text.isalpha()", ">> print(x)", ">> False"],
    },
    'isdecimal': {
      'name': 'isdecimal()',
      'def': ["The isdecimal() method returns True if all the characters are decimals (0-9). This method",
      "is used on unicode objects"],
      'parameter': ["No parameters"],
      'example1': [">> text = '\\u00BD' # ½", ">> x = text.isdecimal()", ">> print(x)", ">> False"],
      'example2': [">> text = '\\u0033' # 3", ">> x = text.isdecimal()", ">> print(x)", ">> True"],
    },
    'isdigit': {
      'name': 'isdigit()',
      'def': ["The isdigit() method returns True if all the characters are digits, otherwise False.",
      "Exponents, like ², are also considered to be a digit."],
      'parameter': ["No parameters"],
      'example1': [">> text = '50800'", ">> x = text.isdigit()", ">> print(x)", ">> True"],
      'example2': [">> text = '\\u00B2' # ²", ">> x = text.isdigit()", ">> print(x)", ">> True"],
    },
    'isidentifier': {
      'name': 'isidentifier()',
      'def': ["The isidentifier() method returns True if the string is a valid identifier, otherwise False.",
      "A string is identifier if it only (a-z) and (0-9), or underscores (_). A valid identifier cannot",
      "start with a number, or contain any spaces."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'Pseudo_41'", ">> x = text.isidentifier()", ">> print(x)", ">> True"],
      'example2': [">> text = 'pseudo x21'", ">> x = text.isidentifier()", ">> print(x)", ">> False"],
    },
    'islower': {
      'name': 'islower()',
      'def': ["The islower() method returns True if all the characters are in lower case, otherwise False.",
      "Numbers, symbols and spaces are not checked, only alphabet characters."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'cat 47'", ">> x = text.islower()", ">> print(x)", ">> True"],
      'example2': [">> text = 'My name is Alfred'", ">> x = text.islower()", ">> print(x)", ">> False"],
    },
    'isnumeric': {
      'name': 'isnumeric()',
      'def': ["The isnumeric() method returns True if all the characters are numeric (0-9), otherwise False.",
      "we’re used to writing numbers with Arabic numerals or other language."],
      'parameter': ["No parameters"],
      'example1': [">> text = '123'", ">> x = text.isnumeric()", ">> print(x)", ">> True"],
      'example2': [">> text = '\\u0034' #4", ">> x = text.isnumeric()", ">> print(x)", ">> True"],
    },
    'join': {
      'name': 'join(iterable)',
      'def': ["The join() method takes all items in an iterable and joins them into one string.",
      "A string must be specified as the separator."],
      'parameter': ["iterable --> Required. Any iterable object where all the returned values are strings"],
      'example1': [">> list = ['name', 'age', 'country']", ">> x = '-'.join(list)",">> print(x)",
      ">> name-age-country"],
      'example2': [">> dict = {'apple': 7, 'kiwi': 4, 'banana': 9}", ">> x = ' and '.join(dict)",">> print(x)",
      ">> apple and kiwi and banana"],
    },
    'lower': {
      'name': 'lower()',
      'def': ["The lower() method returns a string where all characters are lower case.",
      "Symbols and Numbers are ignored."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'Do you like PEACH?'", ">> x = text.lower()", ">> print(x)",
      ">> do you like peach?"],
      'example2': [">> text = 'I have  4 dogs.", ">> x = text.lower()", ">> print(x)",
      ">> i have 4 dogs."],
    },
    'partition': {
      'name': 'partition(sep)',
      'def': ["The partition() method searches for a specified string (first occurrence), and splits the string",
      "into a tuple containing three elements."],
      'parameter': ["sep --> Required. The string to search for"],
      'example1': [">> text = 'the weather is fine tomorrow'", ">> x = text.partition('fine')", ">> print(x)",
      ">> ('the weather is ', 'fine', ' tomorrow')"],
      'example2': [">> text = 'Flowers grow in spring.'", ">> x = text.partition('summer')", ">> print(x)",
      ">> ('Flowers grow in spring.', '', '')"],
    },
    'replace': {
      'name': 'replace(old, new[, count])',
      'def': ["The replace() method replaces a specified phrase with another specified phrase.",
      "All occurrences of the specified phrase will be replaced, if nothing else is specified."],
      'parameter': ["old --> 	Required. The string to search for",
      "new --> Required. The string to replace the old value with",
      "count --> Optional. A number specifying how many occurrences of the old value you want to replace."],
      'example1': [">> text = 'let\'s go to the store now.'", ">> x = text.replace('store', 'cinema')",
      ">> print(x)", ">> let's go to the cinema now."],
      'example2': [">> text = 'you smile, you eat, you sleep.'", ">> x = text.replace('you', 'she', 2)",
      ">> print(x)", ">> she smile, she eat, you sleep."],
    },
    'rfind': {
      'name': 'rfind(sub[, start[, end]])',
      'def': ["The rfind() method finds the last occurrence of the specified value.",
      "The rfind() method returns -1 if the value is not found."],
      'parameter': ["sub --> Required. The value to search for",
      "start --> Optional. Where to start the search. Default is 0",
      "end --> Optional. Where to end the search. Default is to the end of the string"],
      'example1': [">> text = 'What is your name?'", ">> x = text.rfind('a')", ">> print(x)", ">> 14"],
      'example2': [">> text = 'I see a fly.'", ">> x = text.rfind('f',6)", ">> print(x)", ">> 8"],
    },
    'rindex': {
      'name': 'rindex(sub[, start[, end]])',
      'def': ["The rindex() method finds the last occurrence of the specified value.",
      "This method raises an exception if the value is not found."],
      'parameter': ["sub --> Required. The value to search for",
      "start --> Optional. Where to start the search. Default is 0",
      "end --> Optional. Where to end the search. Default is to the end of the string "],
      'example1': [">> text = 'I do a marathon in London.'", ">> x = text.rindex('marathon')",
      ">> print(x)", ">> 7"],
      'example2': [">> text = 'look! an eagle.'", ">> x = text.rindex('eagle',0,10)", ">> print(x)",
      ">> ...ValueError: substring not found"],
    },
    'split': {
      'name': 'split(sep, maxsplit)',
      'def': ["The split() method splits a string into a list.",
      "You can specify the separator, default separator is any whitespace."],
      'parameter': ["sep --> Optional. Specifies the separator to use when splitting the string. Default ' '.",
      "maxsplit --> Optional. Specifies how many splits to do. Default value is -1"],
      'example1': [">> text = 'I read a book.'", ">> x = text.split()", ">> print(x)",
      ">> ['I', 'read', 'a', 'book.']"],
      'example2': [">> text = 'He-buys-a-new-car.'", ">> x = text.split('-', 3)", ">> print(x)",
      ">> ['He', 'buys', 'a', 'new-car.']"],
    },
    'startswith': {
      'name': 'startswith(prefix[, start[, end]])',
      'def': ["The startswith() method returns True if the string starts with the specified value,",
      "otherwise False."],
      'parameter': ["prefix --> Required. The value to check if the string starts with",
      "start --> Optional. An Integer specifying at which position to start the search",
      "end --> Optional. An Integer specifying at which position to end the search"],
      'example1': [">> text = 'John, you\'re courageous.'", ">> x = text.startswith('John')", ">> print(x)",
      ">> True"],
      'example2': [">> text = 'Your sister is smart.'", ">> x = text.startswith('sister', 5)", ">> print(x)",
      ">> True"],
    },
    'strip': {
      'name': 'strip(chars)',
      'def': ["The strip() method removes any leading (spaces at the beginning) and trailing",
      "(spaces at the end) characters (space is the default leading character to remove)"],
      'parameter': ["chars --> Optional. A set of characters to remove as leading/trailing characters"],
      'example1': [">> text = '-----home-----'", ">> x = text.strip('-')", ">> print(x)",
      ">> home"],
      'example2': [">> text = '#ù$? cat grrr...'", ">> x = text.strip('ù#?$ .rg')", ">> print(x)",
      ">> cat"],
    },
    'swapcase': {
      'name': 'swapcase()',
      'def': ["The swapcase() method returns a string where all the upper case letters are lower case",
      "and vice versa."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'Hello Tony!'", ">> x = text.swapcase()", ">> print(x)", ">> hELLO tONY!"],
      'example2': [">> text = 'I have 42 books.'", ">> x = text.swapcase()", ">> print(x)", ">> i HAVE 42 BOOKS."],
    },
    'title': {
      'name': 'title()',
      'def': ["The title() method returns a string where the first character in every word is upper case.",
      "If the word contains a number or a symbol, the first letter after that will be converted",
      "to upper case."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'Oh my dear laetitia.'", ">> x = text.title()", ">> print(x)",
      ">> Oh My Dear Laetitia."],
      'example2': [">> text = '24road, #country, HOME.'", ">> x = text.title()", ">> print(x)",
      ">> 24Road, #Country, Home."],
    },
    'upper': {
      'name': 'upper()',
      'def': ["The upper() method returns a string where all characters are in upper case.",
      "Symbols and Numbers are ignored."],
      'parameter': ["No parameters"],
      'example1': [">> text = 'I hate peach !'", ">> x = text.upper()", ">> print(x)", ">> I HATE PEACH"],
      'example2': [">> text = '41street, my home.'", ">> x = text.upper()", ">> print(x)", ">> 41STREET, MY HOME"],
    },
    'zfill': {
      'name': 'zfill(width)',
      'def': ["The zfill() method adds zeros (0) at the beginning of the string, until it reaches the",
      "specified length.",
      "If the value of the len parameter is less than the length of the string, no filling is done."],
      'parameter': ["width --> Required. A number specifying the position of the element you want to remove"],
      'example1': [">> text = '123'", ">> x = text.zfill(6)", ">> print(x)", ">> 000123"],
      'example2': [">> text = 'Do you see a zero?'", ">> x = text.zfill(18)", ">> print(x)",
      ">> Do you see a zero?"],
    },
  },
  'list': {
    'append': {
      'name': 'append(x)',
      'def': ["The append() method appends an element to the end of the list."],
      'parameter': ["x --> Required. An element of any type (string, number, object etc.)"],
      'example1': [">> name = ['Jul', 'Max', 'Alex']", ">> name.append('John')", ">> print(name)",
      ">> ['Jul', 'Max', 'Alex', 'John']"],
      'example2': [">> arr = ['a', 'b', 'c']", ">> arr.append([1, 2, 3, 4])", ">> print(arr)",
      ">> ['a', 'b', 'c', [1, 2, 3, 4]]"],
    },
    
    'clear': {
      'name': 'clear()',
      'def': ["The clear() method removes all the elements from a list."],
      'parameter': ["No parameters"],
      'example1': [">> arr = ['a', 'b', 'c']", ">> arr.clear()", ">> print(arr)",
      ">> []"],
      'example2': [">> arr = [{'a': 1, 'b': 2}]", ">> arr.clear()", ">> print(arr)",
      ">> []"],
    },
    'copy': {
      'name': 'copy()',
      'def': ["The copy() method returns a copy of the specified list."],
      'parameter': ["No parameters"],
      'example1': [">> arr = ['a', 'b', 'c']", ">> x = arr.copy()", ">> print(x)",
      ">> ['a', 'b', 'c']"],
      'example2': [">> arr = [1, 'a', ['key', 11]]", ">> x = arr.copy()", ">> print(x)",
      ">> [1, 'a', ['key', 11]]"],
    },
    'count': {
      'name': 'count(x)',
      'def': ["The count() method returns the number of elements with the specified value."],
      'parameter': ["x --> Required. Any type (string, number, list, tuple, etc.). The value to search for."],
      'example1': [">> arr = [{'a': 1}, 2, 'Hi']", ">> x = arr.count({'a': 1})", ">> print(x)",
      ">> 1"],
      'example2': [">> arr = [0, 1, 0, 1, 1, 0, 1]", ">> x = arr.count(1)", ">> print(x)",
      ">> 4"],
    },
    'extend':{
      'name': 'extend(iterable)',
      'def': ["The extend() method adds the specified list elements (or any iterable)",
      "to the end of the current list."],
      'parameter': ["iterable --> Required. Any iterable (list, set, tuple, etc.)"],
      'example1': [">> arr = ['a', 'b', 'c']", ">> arr.extend([1, 2, 3])", ">> print(arr)",
      ">> ['a', 'b', 'c', 1, 2, 3]"],
      'example2': [">> arr = [(1, 1), (1, 2)]", ">> x = arr.extend(((2, 1), (2, 2)))", ">> print(arr)",
      ">> [(1,1), (1,2), (2,1), (2,2)]"],
    },
    'index': {
      'name': 'index(x[, start[, end]])',
      'def': ["The index() method returns the position at the first occurrence of the specified value."],
      'parameter': ["x --> Required. Any type (string, number, list, etc.). The element to search for",
      "start --> Optional. Where to start the search. Default is 0",
      "end --> Optional. An Integer specifying at which position to end the search. Default -1"],
      'example1': [">> arr = [6, 4, 8, 3, 1, 2, 7, 1]", ">> x = arr.index(3)",">> print(x)", ">> 3"],
      'example2': [">> arr = [8, 5, 7, 2, 1, 2, 9, 1]", ">> x = arr.index(1, 3, -3)",
      ">> print(x)", ">> 4"],
    },
    'insert': {
      'name': 'insert(i, x)',
      'def': ["The insert() method inserts the specified value at the specified position."],
      'parameter': ["i --> Required. A number specifying in which position to insert the value",
      "x --> Required. An element of any type (string, number, object etc.)"],
      'example1': [">> arr = ['a', 'b', 'd', 'e']", ">> arr.insert(2, 'c')", ">> print(arr)",
       ">> ['a', 'b', 'c', 'd', 'e']"],
      'example2': [">> arr = ['yes','no']", ">> arr.insert(1, 'maybe')", ">> print(arr)",
      ">> ['yes', 'maybe', 'no']"],
    },
    'pop': {
      'name': 'pop(i)',
      'def': ["The pop() method removes the element at the specified position."],
      'parameter': ["i --> Optional. A number specifying the position of the element you want to remove. Default -1"],
      'example1': [">> arr = [1, 2, 3, 'a']", ">> x = arr.pop()", ">> print(arr)",
       ">> [1, 2, 3]", ">> print(x)", ">> a"],
      'example2': [">> arr = ['good', 'error', 'good']", ">> x = arr.pop(1)", ">> print(arr)",
       ">> ['good', 'good']", ">> print(x)", ">> error"],
    }, 
    'remove': {
      'name': 'remove(x)',
      'def': ["The remove() method removes the first occurrence of the element with the specified value."],
      'parameter': ["x --> Required. Any type (string, number, list etc.) The element you want to remove"],
      'example1': [">> arr = [9, {3,4}, 3, 'a']", ">> arr.remove({3,4})", ">> print(arr)",
       ">> [9, 3, 'a']"],
      'example2': [">> arr = [9, 18, 27, 91, 36]", ">> arr.remove(91)", ">> print(arr)",
       ">> [9, 18, 27, 36]"],
    },
    'reverse': {
      'name': 'reverse()',
      'def': ["The reverse() method reverses the sorting order of the elements."],
      'parameter': ["No parameters"],
      'example1': [">> arr = [(1, 2), 'yes', '...']", ">> arr.reverse()",">> print(arr)",
      ">> ['...', 'yes', (1, 2)]"],
      'example2': [">> arr = ['a', 'b', 'c', 'd']", ">> arr.reverse()",">> print(arr)",
      ">> ['d', 'c', 'b', 'a']"],
    },
    'sort': {
      'name': 'sort(key, reverse)',
      'def': ["The sort() method sorts the list ascending by default.",
      "You can also make a function to decide the sorting criteria(s)."],
      'parameter': ["key --> Optional. A function to specify the sorting criteria(s)",
      "reverse --> Optional. reverse=True will sort the list descending. Default is False"],
      'example1': [">> def length(e):",">>   return len(e)",
      ">> arr = ['hello', 'hi', 'bonjour', 'hola']", ">> arr.sort(key = length)",
      ">> print(arr)", ">> ['hi', 'hola', 'hello', 'bonjour']"],
      'example2': [">> arr = ['i', 'a', 'e', 'o', 'u']", ">> arr.sort(reverse = true)",
      ">> print(arr)", ">> ['u', 'o', 'i', 'e' 'a']"],
    },
    
  },
  'dict': {
    'clear': {
      'name': 'clear()',
      'def': ["The clear() method removes all the elements from a dictionary."],
      'parameter': ["No parameters"],
      'example1': [">> fruits = {'kiwi': 12, 'peach': 4}", ">> fruits.clear()", ">> print(fruits)",
      ">> {}"],
      'example2': [">> dict = {'a': [1,2,3], 'b': (4,5)}", ">> dict.clear()", ">> print(dict)",
      ">> {}"],
    },
    'copy': {
      'name': 'copy()',
      'def': ["The copy() method returns a copy of the specified dictionary."],
      'parameter': ["No parameters"],
      'example1': [">> soda = {'coca': 7, 'orangina': 24}", ">> drink = soda.copy()", ">> print(drink)",
      ">> {'coca': 7, 'orangina': 24}"],
      'example2': [">> dict = {'dogs': 2, 'cats': 5}", ">> animal = dict.copy()", ">> print(animal)",
      ">> {'dogs': 2, 'cats': 5}"],
    },
    'fromkeys': {
      'name': 'fromkeys(iterable[, value])',
      'def': ["The fromkeys() method returns a dictionary with the specified keys and the specified value."],
      'parameter': ["iterable --> Required. An iterable specifying the keys of the new dictionary",
      "value --> Optional. The value for all keys. Default value is None"],
      'example1': [">> key = ['car', 'moto', 'bike']",">> vehicle = dict.fromkeys(key, 5)",
      ">> print(vehicle)", ">> {'car': 5, 'moto': 5, 'bike': 5}"],
      'example2': [">> key = {'a':0, 'b': 1, 'c': 2}",">> dict = dict.fromkeys(key)",
      ">> print(dict)", ">> {'a': None, 'b': None, 'c': None}"],
    },
    'get': {
      'name': 'get(key[, value])',
      'def': ["The get() method returns the value of the item with the specified key."],
      'parameter': ["key --> Required. The keyname of the item you want to return the value from",
      "value --> Optional. A value to return if the specified key does not exist. Default value None"],
      'example1': [">> dict = {'book': 9, 'car': 1}",">> x = dict.get('book')", ">> print(x)",
      ">> 9"],
      'example2': [">> dict = {'dogs': 9, 'cats': 5}",">> x = dict.get('cows', 'error')", ">> print(x)",
      ">> error"],
    },
    'items': {
      'name': 'items()',
      'def': ["The items() method returns a view object. The view object contains the key-value pairs of",
      "the dictionary, as tuples in a list.",
      "The view object will reflect any changes done to the dictionary."],
      'parameter': ["No parameters"],
      'example1': [">> dict = {'a': 1, 'b': 2}", ">> x = dict.items()", ">> dict['a'] = 4",
      ">> print(x)", ">> dict_items([('a': 4), ('b': 2)])"],
      'example2': [">> dict = {'car': 12, 'bus': 7}", ">> x = dict.items()", ">> print(x)",
      ">> dict_items([('car': 12), ('bus': 7)])"],
    },
    'keys': {
      'name': 'keys()',
      'def': ["The keys() method returns a view object. The view object contains the keys of the dictionary, as a list.",
      "The view object will reflect any changes done to the dictionary."],
      'parameter': ["No parameters"],
      'example1': [">> person = {'name': 'Tom', 'age': 11}", ">> x = person.keys()", ">> dict['age'] = 12",
      ">> print(x)", ">> dict_keys(['name', 'age'])"],
      'example2': [">> dict = {'a': 1, 'b': 2, 'c': 3}", ">> x = dict.keys()", ">> print(x)",
      ">> dict_keys(['a', 'b', 'c'])"],
    },
    'pop': {
      'name': 'pop(key[, value])',
      'def': ["The pop() method removes the specified item from the dictionary.",
      "The value of the removed item is the return value of the pop() method."],
      'parameter': ["key --> Required. The keyname of the item you want to remove",
      "value --> Optional. A value to return if the specified key do not exist."],
      'example1': [">> animal = {'cat': 7, 'dog': 3}", ">> x = animal.pop('dog')", ">> print(animal)",
      ">> {'cat': 7}",">> print(x)",">> 3"],
      'example2': [">> dict = {'a': 0, 'b': 1, 'c': 2}", ">> x = dict.pop('d', 3)", ">> print(dict)",
      ">> {'a': 0, 'b': 1, 'c': 2}",">> print(x)", ">> 3"],
    },
    'popitem': {
      'name': 'popitem()',
      'def': ["The popitem() method removes the item that was last inserted into the dictionary",
      "The removed item is the return value of the popitem() method, as a tuple."],
      'parameter': ["No parameters"],
      'example1': [">> person = {'age': 47, 'sex': 'man'}", ">> x = person.popitem()", ">> print(person)",
      ">> {'age': 47}",">> print(x)",">> ('sex', 'man')"],
      'example2': [">> dict = {'a': 0, 'b': 1, 'c': 2}", ">> x = dict.popitem()", ">> print(dict)",
      ">> {'a': 0, 'b': 1}",">> print(x)",">> ('c', 2)"],
    },
    'setdefault': {
      'name': 'setdefault(key[, value])',
      'def': ["The setdefault() method returns the value of the item with the specified key.",
      "If the key does not exist, insert the key, with the specified value."],
      'parameter': ["key --> Required. The keyname of the item you want to return the value from",
      "value --> Optional. If the key does not exist, this value becomes the key's value. Default None"],
      'example1': [">> car = {'price': 7000, 'color': 'blue'}", ">> x = car.setdefault('price')", ">> print(car)",
      ">> {'price': 7000, 'color': 'blue'}",">> print(x)",">> 7000"],
      'example2': [">> child = {'name': 'Max', 'age': 6}", ">> x = child.setdefault('sex', 'man')", ">> print(child)",
      ">> {'name': 'Max', 'age': 6, 'sex': 'man'}",">> print(x)",">> 'man'"],
    },
    'update': {
      'name': 'update(iterable)',
      'def': ["The update() method inserts the specified items to the dictionary.",
      "The specified items can be a dictionary, or an iterable object."],
      'parameter': ["iterable --> A dictionary or an iterable object with key value pairs, that will",
      "be inserted to the dictionary"],
      'example1': [">> dict = {1: 'one', 2: 'two'}", ">> dict.update({3: 'three'})", ">> print(dict)",
      ">> {1: 'one', 2: 'two', 3: 'three'}"],
      'example2': [">> dict = {'a': 1, 'b': 2}", ">> dict.update(b = 3, c = 4)", ">> print(dict)",
      ">> {'a': 1, 'b': 3, 'c' = 4}"],
    },
    'values': {
      'name': 'values()',
      'def': ["The values() method returns a view object. The view object contains the values of the dictionary,",
      "as a list.",
      "The view object will reflect any changes done to the dictionary."],
      'parameter': ["No parameters"],
      'example1': [">> dict = {1: 'one', 2: 'two', 3: 'three'}", ">> x = dict.values()", ">> dict[3] = '...'", ">> print(x)",
      ">> {1: 'one', 2: 'two', 3: '...'}"],
      'example2': [">> person = {'name': 'Max', 'sex': 'man'}", ">> x = person.values()", ">> print(x)",
      ">> dict_values(['Max', 'man'])"],
    },
  },
  'set': {
    'add': {
      'name': 'add(elmnt)',
      'def': ["The add() method adds an element to the set",
      "If the element already exists, the add() method does not add the element."],
      'parameter': ["elmnt --> Required. The element to add to the set"],
      'example1': [">> fruits = {'peach', 'apple', 'kiwi'}", ">> fruits.add('cherry')", ">> print(fruits)",
      ">> {'cherry', 'apple', 'kiwi', 'peach'}"],
      'example2': [">> set = {7, 5, 9, 2}", ">> set.add(5)", ">> print(set)",
      ">> {7, 5, 9, 2}"],
    },
    'clear': {
      'name': 'clear()',
      'def': ["The clear() method removes all elements in a set."],
      'parameter': ["No parameters"],
      'example1': [">> set = {5, 9, 3, 7}", ">> set.clear()", ">> print(set)", ">> {}"],
      'example2': [">> fruits = {'peach', 'kiwi'}", ">> fruits.clear()", ">> print(fruits)", ">> {}"],
    },
    'copy': {
      'name': 'copy()',
      'def': ["The copy() method copies the set."],
      'parameter': ["No parameters"],
      'example1': [">> set = {5, 9, 3, 7}", ">> x = set.copy()", ">> print(x)", ">> {3, 9 , 7, 5}"],
      'example2': [">> vehicle = {'bus', 'car', 'moto'}", ">> x = vehicle.copy()", ">> print(x)", ">> {'bus','moto', 'car'}"],
    },
    'difference': {
      'name': 'difference(set)',
      'def': ["The difference() method returns a set that contains the difference between two sets",
      "The returned set contains items that exist only in the first set, and not in both sets."],
      'parameter': ["set --> Required. The set to check for differences in"],
      'example1': [">> a = {'kiwi', 'peach', 'apple'}", ">> b = {'banana', 'peach', 'cherry'}", ">> x = a.difference(b)",
      ">> print(x)", ">> {'kiwi', 'apple'}"],
      'example2': [">> a = {8, 5, 3, 1, 7}", ">> b = {4, 3, 6, 0, 5}", ">> x = b.difference(a)",
      ">> print(x)", ">> {6, 4, 0}"],
    },
    'difference_update': {
      'name': 'difference_update(set)',
      'def': ["The difference_update() method removes the items that exist in both sets.",
      ""],
      'parameter': ["set --> Required. The set to check for differences in"],
      'example1': [">> a = {'moto', 'bus', 'car'}", ">> b = {'bike', 'bus', 'truck'}",
      ">> a.difference_update(b)", ">> print(a)", ">> {'moto', 'bus'}"],
      'example2': [">> a = {5, 3, 7, 9}", ">> b = {1, 8, 7, 5}", ">> x = b.difference_update(a)",
      ">> print(b)", ">> {8, 1}"],
    },
    'discard': {
      'name': 'discard(elmnt)',
      'def': ["The discard() method removes the specified item from the set.",
      "If the specified item not exist, discard() will not raise an error."],
      'parameter': ["elmnt --> Required. The item to search for, and remove"],
      'example1': [">> fruits = {'kiwi, 'cherry', 'apple'}", ">> fruits.discard('cherry')",
      ">> print(fruits)", ">> {'apple', 'kiwi'}"],
      'example2': [">> set = {5, 9, 2, 1}", ">> set.discard(2)",
      ">> print(2)", ">> {1, 5, 9}"],
    },
    'intersection': {
      'name': 'intersection(set1, set2, ...)',
      'def': ["The intersection() method returns a set that contains the similarity between two or more sets."],
      'parameter': ["set1 --> Required. The set to search for equal items in",
      "set2 --> Optional. The other set to search for equal items in."],
      'example1': [">> a = {2, 4, 6, 8}", ">> b = {3, 2, 6, 9}", ">> c = {7, 6, 1, 0}", ">> x = a.intersection(b, c)",
      ">> print(x)", ">> {6}"],
      'example2': [">> a = {1, 2, 3, 4}", ">> b = {7, 6, 2, 3}", ">> x = a.intersection(b)",
      ">> print(x)", ">> {3, 2}"],
    },
    'intersection_update': {
      'name': 'intersection_update(set1, set2, ...)',
      'def': ["The intersection_update() method removes the items that is not present in both",
      "sets (or in all sets if the comparison is done between more than two sets)."],
      'parameter': ["set1 --> Required. The set to search for equal items in",
      "set2 --> Optional. The other set to search for equal items in."],
      'example1': [">> a = {3, 6, 9, 12}", ">> b = {6, 12, 18, 24}", ">> c = {7, 6, 1, 5}", ">> a.intersection(b, c)",
      ">> print(a)", ">> {6}"],
      'example2': [">> a = {2, 3, 5, 7, 11}", ">> b = {1, 5, 9, 11, 13}", ">> a.intersection_update(b)",
      ">> print(a)", ">> {11, 5}"],
    },
    'isdisjoint': {
      'name': 'isdisjoint(set)',
      'def': ["The isdisjoint() method returns True if none of the items are present in both sets,",
      "otherwise it returns False."],
      'parameter': ["set --> Required. The set to search for equal items in"],
      'example1': [">> a = {'dog', 'car', 'house'}", ">> b = {'peach', 'mouse', 'bike'}", ">> x = a.isdisjoint(b)",
      ">> print(x)", ">> True"],
      'example2': [">> a = {'dog', 'bus', 'table'}", ">> b = {'peach', 'mouse', 'dog'}", ">> x = a.isdisjoint(b)",
      ">> print(x)", ">> False"],
    },
    'issubset': {
      'name': 'issubset(set)',
      'def': ["The issubset() method returns True if all items in the set exists in the specified set,",
      "otherwise it retuns False."],
      'parameter': ["set --> Required. The set to search for equal items in"],
      'example1': [">> a = {'b', 'd', 'e'}", ">> b = {'a', 'b', 'c', 'd', 'e'}", ">> x = a.issubset(b)",
      ">> print(x)", ">> True"],
      'example2': [">> a = {'e', 'f', 'b'}", ">> b = {'d', 'b', 'e', 'a', 'c'}", ">> x = a.issubset(b)",
      ">> print(x)", ">> False"],
    },
    'issuperset': {
      'name': 'issuperset(set)',
      'def': ["The issuperset() method returns True if all items in the specified set exists in the original",
      "set, otherwise it retuns False."],
      'parameter': ["set --> Required. The set to search for equal items in"],
      'example1': [">> a = {'x', 'y', 'z', 'w'}", ">> b = {'w', 'y', 'z'}", ">> x = a.issuperset(b)",
      ">> print(x)", ">> True"],
      'example2': [">> a = {1, 2, 3, 4, 5, 6}", ">> b = {2, 4, 6, 7}", ">> x = a.issuperset(b)",
      ">> print(x)", ">> False"],
    },
    'pop': {
      'name': 'pop()',
      'def': ["The pop() method removes a random item from the set.",
      "This method returns the removed item."],
      'parameter': ["No parameters"],
      'example1': [">> a = {'apple', 'kiwi', 'cherry'}", ">> x = a.pop()", ">> print(a)", ">> {'apple', 'cherry'}",
      ">> print(x)", ">> kiwi"],
      'example2': [">> a = {2, 3, 5, 7, 11}", ">> a.pop()", ">> print(a)", ">> {3, 7, 11, 2}"],
    },
    'remove': {
      'name': 'remove(elmnt)',
      'def': ["The remove() method removes the specified element from the set.",
      "If the specified item not exist, remove(elmnt) will raise an error."],
      'parameter': ["elmnt --> Required. The item to search for, and remove"],
      'example1': [">> vehicle = {'moto', 'bus', 'car'}", ">> vehicle.remove('bus')", ">> print(vehicle)",
      ">> {'car', 'moto'}"],
      'example2': [">> set = {1, 2, 3, 4}", ">> set.remove(7)", ">> KeyError: 7"],
    },
    'symmetric_difference': {
      'name': 'symmetric_difference(set)',
      'def': ["The symmetric_difference() method returns a set that contains all items from both set,",
      "but not the items that are present in both sets"],
      'parameter': ["set --> Required. The set to check for matches in"],
      'example1': [">> a = {'phone', 'cat', 'plate'}", ">> b = {'table', 'moto', 'cat'}",
      ">> x = a.symmetric_difference(b)", ">> print(x)", ">> {'phone', 'table', 'moto', 'plate'}"],
      'example2': [">> a = {5, 8, 3, 2, 1}", ">> b = {7, 4, 9, 2, 1}",">> x = a.symmetric_difference(b)",
      ">> print(x)", ">> {8, 3, 4, 5, 7, 9}"],
    },
    'symmetric_difference_update': {
      'name': 'symmetric_difference_update(set)',
      'def': ["The symmetric_difference_update() method updates the original set by removing",
      "items that are present in both sets, and inserting the other items."],
      'parameter': ["set --> Required. The set to check for matches in"],
      'example1': [">> a = {1, 3, 5, 7}", ">> b = {1, 2, 3, 4, 5}",">> a.symmetric_difference_update(b)",
      ">> print(a)", ">> {7, 2, 4}"],
      'example2': [">> a = {'a', 'e', 'i'}", ">> b = {'o', 'u', 'i'}",">> a.symmetric_difference_update(b)",
      ">> print(a)", ">> {'e', 'a', 'o', 'u'}"],
    },
    'union': {
      'name': 'union(set1, set2, ...)',
      'def': ["The union() method returns a set that contains all items from the original set, and al",
      "items from the specified sets. Duplicates are excluded."],
      'parameter': ["set1 --> Required. The set to unify with",
      "set2 --> Optional. The other set to unify with. You can compare as many sets as you like."],
      'example1': [">> a = {1, 2, 3, 4, 5}", ">> b = {2, 3, 5, 7, 11}",">> c = {1, 3, 5, 7, 9}", ">> x = a.union(b, c)",
      ">> print(x)", ">> {1, 4, 9, 2, 5, 11, 3, 7}"],
      'example2': [">> a = {'dog', 'cat'}", ">> b = {'cow', 'sheep', 'cat'}",">> x = a.union(b)",
      ">> print(x)", ">> {'dog', 'cow', 'cat', 'sheep'}"],
    },
    'update': {
      'name': 'update(set)',
      'def': ["The update() method updates the current set, by adding items from another set."],
      'parameter': ["set --> Required. The set insert into the current set"],
      'example1': [">> a = {'cat', 'dog'}", ">> b = {'cow', 'sheep','cat'}", ">> a.update(b)", ">> print(a)",
      ">> {'dog', 'cow', 'cat', 'sheep'}"],
      'example2': [">> a = {1, 2, 3, 4, 5}", ">> b = {5, 6, 7, 2}", ">> b.update(a)", ">> print(b)",
      ">> {5, 2, 4, 1, 3, 7, 6}"],
    },
  },
  'tuple': {
    'count': {
      'name': 'count(x)',
      'def': ["The count() method returns the number of times a specified value appears in the tuple."],
      'parameter': ["x --> Required. The item to search for"],
      'example1': [">> a = ('dog', 'cat', 'dog', 'cow')", ">> x = a.count('dog')", ">> print(x)", ">> 2"],
      'example2': [">> a = (1, 5, 5, 4, 8, 6, 5)", ">> x = a.count(5)", ">> print(x)", ">> 3"],
    },
    'index': {
      'name': 'index(x)',
      'def': ["The index() method finds the first occurrence of the specified value.",
      "This method raises an exception if the value is not found"],
      'parameter': ["x --> Required. The item to search for"],
      'example1': [">> a = ('a', 'b', 'e', 'f', 'e')", ">> x = a.index('e')", ">> print(x)", ">> 2"],
      'example2': [">> a = (1, 2, 3, 7, 6, 8, 7, 5)", ">> x = a.index(7)", ">> print(x)", ">> 3"],
    },
  },
  'file': {
    'close': {
      'name': 'close()',
      'def': ["The close() method closes an open file.",
      "You should always close your files, in some cases, due to buffering, changes made to a",
      "file may not show until you close the file."],
      'parameter': ["No parameters", "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> print(f.read())", ">> Hello world", ">> Great day",
      ">> f.close()"],
      'example2': [],
    },
    'fileno': {
      'name': 'fileno()',
      'def': ["The fileno() method returns the file descriptor of the stream, as a number.",
      "An error will occur if the operator system does not use a file descriptor."],
      'parameter': ["No parameters", "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> print(f.fileno())", ">> 3", ">> f.close()"],
      'example2': [],
    },
    'flush': {
      'name': 'flush()',
      'def': ["The flush() method cleans out the internal buffer."],
      'parameter': ["No parameters", "myFile.txt --> Empty"],
      'example1': [">> # You can clear the buffer when writing to a file",
      ">> f = open('myFile.txt', 'a')", ">> f.write('Hello')", ">> f.flush()",
      ">> f.write('Bonjour')"],
      'example2': [],
    },
    'isatty': {
      'name': 'isatty()',
      'def': ["The isatty() method returns True if the file stream is interactive, example: connected to",
      "a terminal device."],
      'parameter': ["No parameters", "myFile.txt --> Empty"],
      'example1': [">> # Check if the file is connected to a terminal device",
      ">> f = open('myFile.txt', 'r')", ">> print(f.isatty())", ">> False"],
      'example2': [],
    },
    'read': {
      'name': 'read(size)',
      'def': ["The read() method returns the specified number of bytes from the file.",
      "Default is -1 which means the whole file."],
      'parameter': ["size --> Optional. The number of bytes to return. Default -1, which means the whole file.",
      "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> print(f.read())", ">> Hello world", ">> Great day"],
      'example2': [">> f = open('myFile.txt', 'r')", ">> print(f.read(14))", ">> Hello world", ">> Gr"],
    },
    'readable': {
      'name': 'readable()',
      'def': ["The readable() method returns True if the file is readable, False if not."],
      'parameter': ["No parameters", "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> print(f.readable())", ">> True"],
      'example2': [],
    },
    'readline': {
      'name': 'readline(size)',
      'def': ["The readline() method returns one line from the file."],
      'parameter': ["size --> Optional. The number of bytes from the line to return. Default -1, which means the whole line.",
      "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> print(f.readline())", ">> Hello world", ">> print(f.readline())",
      ">> Great day"],
      'example2': [">> f = open('myFile.txt', 'r')", ">> print(f.readline(5))", ">> Hello", ">> print(f.readline(6))",
      ">>  world"],
    },
    'readlines': {
      'name': 'readlines(hint)',
      'def': ["The readlines() method returns a list containing each line in the file as a list item."],
      'parameter': ["hint --> Optional. If the number of bytes returned exceed the hint number, no more lines will be returned.",
      "Default value is  -1, which means all lines will be returned.",
      "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> print(f.readlines())", ">> ['Hello world\\n', 'Great day\\n']"],
      'example2': [">> f = open('myFile.txt', 'r')", ">> print(f.readlines(10))", ">> ['Hello world\\n']"],
    },
    'seek': {
      'name': 'seek(offset)',
      'def': ["The seek() method sets the current file position in a file stream.",
      "This method also returns the new postion."],
      'parameter': ["Required. A number representing the position to set the current file stream position.",
      "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> x = f.seek(6)", ">> print(f.readline())", ">> world"],
      'example2': [">> f = open('myFile.txt', 'r')", ">> x = f.seek(13)", ">> prin(f.read())", ">> Great day"],
    },
    'seekable': {
      'name': 'seekable()',
      'def': ["The seekable() method returns True if the file is seekable, False if not.",
      "A file is seekable if it allows access to the file stream, like the seek() method."],
      'parameter': ["No parameters", "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> x = f.seekable()", ">> print(x)", ">> True"],
      'example2': [],
    },
    'tell': {
      'name': 'tell()',
      'def': ["The tell() method returns the current file position in a file stream.",
      ""],
      'parameter': ["No parameters", "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'r')", ">> f.readline()", ">> x = f.tell()", ">> print(x)", ">> 13"],
      'example2': [">> f = open('myFile.txt', 'r')", ">> f.seek(9)", ">> x = f.tell()", ">> print(x)", ">> 9"],
    },
    'truncate': {
      'name': 'truncate(size)',
      'def': ["The truncate() method resizes the file to the given number of bytes.",
      "If the size is not specified, the current position will be used."],
      'parameter': ["size --> Optional. The size of the file (in bytes) after the truncate.",
      "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'a')", ">> x = f.truncate(5)", ">> print(x)", ">> Hello"],
      'example2': [],
    },
    'writable': {
      'name': 'writable()',
      'def': ["The writable() method returns True if the file is writable, False if not.",
      "A file is writable if it is opened using 'a' for append or 'w' for write."],
      'parameter': ["No parameters", "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'a')", ">> x = f.writable()", ">> print(x)", ">> True"],
      'example2': [">> f = open('myFile.txt', 'r')", ">> x = f.writable()", ">> print(x)", ">> False"],
    },
    'write': {
      'name': 'write(byte)',
      'def': ["The write() method writes a specified text to the file.",
      "'a': The text will be inserted at the current file stream position, default at the end of the file.",
      "'b': The file will be emptied before the text will be inserted at the current file stream position."],
      'parameter': ["byte --> The text or byte object that will be inserted.",
      "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'w')", ">> f.write('run forest, run!')", ">> f.close()",
      ">> f = open('myFile.txt', 'r')", ">> print(f.read())", ">> run forest, run!"],
      'example2': [],
    },
    'writelines': {
      'name': 'writelines(list)',
      'def': ["The writelines() method writes the items of a list to the file."],
      'parameter': ["list --> The list of texts or byte objects that will be inserted.",
      "myFile.txt --> row1: Hello world row2: Great day"],
      'example1': [">> f = open('myFile.txt', 'w')", ">> f.writelines(['first!', 'second!'])", ">> f.close()",
      ">> f = open('myFile.txt', 'r')", ">> print(f.read())", ">> first!second!"],
      'example2': [],
    },
  },
  'native fc': {
    'abs': {
      'name': 'abs(x)',
      'def': ["The abs() function returns the absolute value of the specified number."],
      'parameter': ["x --> Required. A number"],
      'example1': [">> a = 12.45", ">> x = abs(a)", ">> print(x)", ">> 12.45"],
      'example2': [">> a = -8.5", ">> x = abs(a)", ">> print(x)", ">> 8.5"],
    },
    'all': {
      'name': 'all(iterable)',
      'def': ["The all() function returns True if all items in an iterable are true, otherwise it returns False.",
      "If the iterable object is empty, the all() function also returns True."],
      'parameter': ["iterable --> An iterable object (list, tuple, dictionary)"],
      'example1': [">> iter = [2, {'a', 'v'}, []]", ">> x = all(iter)", ">> print(x)", ">> False"],
      'example2': [">> iter = [2, {'0': 'dog'}, (1, 2)]", ">> x = all(iter)", ">> print(x)", ">> True"],
    },
    'any': {
      'name': 'any(iterable)',
      'def': ["The any() function returns True if any item in an iterable are true, otherwise it returns False.",
      "If the iterable object is empty, the any() function will return False."],
      'parameter': ["iterable --> An iterable object (list, tuple, dictionary)"],
      'example1': [">> iter = {0: 'a', 1: [0, 0, 1]}", ">> x = any(iter)", ">> print(x)", ">> True"],
      'example2': [">> iter = [{}, (), [], 0]", ">> x = any(iter)", ">> print(x)", ">> False"],
    },
    'bin': {
      'name': 'bin(x)',
      'def': ["The bin() function returns the binary version of a specified integer.",
      "The result will always start with the prefix 0b"],
      'parameter': ["x --> Required. An integer"],
      'example1': [">> x = bin(81)", ">> print(x)", ">> 0b1010001"],
      'example2': [">> x = bin(128)", ">> print(x)", ">> 0b10000000"],
    },
    'bool': {
      'name': 'bool(x)',
      'def': ["The bool() function returns the boolean value of a specified object. Object always return True,",
      "unless object is empty, [], (), {}, is False, is None, is 0."],
      'parameter': ["x --> Any object, like String, List, Number etc."],
      'example1': [">> x = bool(['a'])", ">> print(x)", ">> True"],
      'example2': [">> x = bool([[]])", ">> print(x)", ">> True"],
    },
    'chr': {
      'name': 'chr(i)',
      'def': ["The chr() function returns the character that represents the specified unicode."],
      'parameter': ["i --> An integer representing a valid Unicode code point"],
      'example1': [">> x = chr(57)", ">> print(x)", ">> 9"],
      'example2': [">> x = chr(231)", ">> print(x)", ">> ç"],
    },
    'complex': {
      'name': 'complex(real[, imag])',
      'def': ["The complex() function returns a complex number by specifying a real number and an imaginary number."],
      'parameter': ["real --> equired. A number representing the real part of the complex number. Default 0.",
      "The real number can also be a String like this '3+5j', when this is the case, the second",
      "parameter should be omitted.",
      "imag --> Optional. A number representing the imaginary part of the complex number. Default 0."],
      'example1': [">> x = complex(11, 25)", ">> print(x)", ">> (11+25j)"],
      'example2': [">> x = complex('12+43j')", ">> print(x)", ">> (12+43j)"],
    },
    'delattr': {
      'name': 'delattr(object, name)',
      'def': ["The delattr() function will delete the specified attribute from the specified object."],
      'parameter': ["object --> Required. An object.",
      "name --> Required. The name of the attribute you want to remove"],
      'example1': [">> class Person:", ">>   name = 'John'", ">>   age = 21", ">> delattr(Person, 'age')",
       ">> print(Person.age)", ">> AttributeError: type object 'Person' has no attribute 'age'"],
      'example2': [],
    },
    'dict': {
      'name': 'dict(**kwargs)',
      'def': ["The dict() function creates a dictionary.",
      "A dictionary is a collection which is unordered, changeable and indexed."],
      'parameter': ["**kwargs --> Required. As many keyword arguments you like, separated by comma: key = value."],
      'example1': [">> x = dict(name = 'Jean', age = 14)", ">> print(x)", ">> {'name': 'jean', 'age': 14}"],
      'example2': [">> x = dict({0: 'a', 1: 'b'})", ">> print(x)", ">> {0: 'a', 1: 'b'}"],
    },
    'dir': {
      'name': 'dir(object)',
      'def': ["The dir() function returns all properties and methods of the specified object, without the values."],
      'parameter': ["This function will return all the properties and methods, even built-in properties which are",
      "default for all object."],
      'example1': [">> x = dir(list)", ">> print(x)", ">> ['__add__', '__class__', '__contains__', '__delattr__', '__delitem__',",
      ">> '__dir__', '__doc__', '__eq__', '__format__', '__ge__', '__getattribute__',...",
      ">> ..., 'count', 'extend', 'index', 'insert', 'pop', 'remove', 'reverse', 'sort']"],
      'example2': [],
    },
    'divmod': {
      'name': 'divmod(a, b)',
      'def': ["The divmod() function returns a tuple containing the quotient  and the remainder when argument1",
      "(divident) is divided by argument2 (divisor)."],
      'parameter': ["a --> A Number. The number you want to divide",
      "b --> A Number. The number you want to divide with"],
      'example1': [">> x = divmod(13, 5)", ">> print(x)", ">> (2, 3)"],
      'example2': [">> x = divmod(435, 67)", ">> print(x)", ">> (6, 33)"],
    },
    'enumerate': {
      'name': 'enumerate(iterable[, start])',
      'def': ["The enumerate() function takes a collection (e.g. a tuple) and returns it as an enumerate object.",
      "This function adds a counter as the key of the enumerate object."],
      'parameter': ["iterable --> An iterable object",
      "start --> A Number. Defining the start number of the enumerate object. Default 0"],
      'example1': [">> a = ['a', 'b', 'c']", ">> x = enumerate(a)", ">> print(list(x))",
      ">> [(0, 'a'), (1, 'b'), (2, 'c')]"],
      'example2': [">> a = {'name': 'Jul', 'age': 28}", ">> x = enumerate(a, 5)", ">> print(list(x))",
      ">> [(5, 'name'), (6, 'age')]"],
    },
    'filter': {
      'name': 'filter(function, iterable)',
      'def': ["The filter() function returns an iterator were the items are filtered through a function to",
      "test if the item is accepted or not."],
      'parameter': ["function --> A Function to be run for each item in the iterable",
      "iterable --> The iterable to be filtered"],
      'example1': [">> ages = [12, 5, 27, 7, 3, 54, 67, 1]", ">> myFunc(x):", ">>   return True if x < 18 else False",
      ">> adults = filter(myFunc, ages)", ">> for x in adults:", ">>   print(x)"],
      'example2': [">> 12", ">> 5", ">> 7", ">> 3", ">> 1"],
    },
    'float': {
      'name': 'float(x)',
      'def': ["The float() function converts the specified value into a floating point number."],
      'parameter': ["x --> 	A number or a string that can be converted into a floating point number"],
      'example1': [">> x = float(7)", ">> print(x)", ">> 7.0"],
      'example2': [">> x = float('12.500')", ">> print(x)", ">> 12.5"],
    },
    'format': {
      'name': 'format(value[, format_spec])',
      'def': ["The format() function formats a specified value into a specified format."],
      'parameter': ["value --> A value of any format",
      "format_spec --> The format you want to format the value into. Legal values:",
      "'<', '>', '^', '=', '+', '-', ' ', ',', '_', 'b', 'c', 'd', 'e', 'E', 'f', 'F',",
      "'g', 'G', 'o', 'x', 'X', 'n', '%'."],
      'example1': [">> x = format(122, 'b')", ">> print(x)", ">> 1111010"],
      'example2': [">> x = format(4999999, ',')", ">> print(x)", ">> 4,999,999"],
    },
    'frozenset': {
      'name': 'frozenset(iterable)',
      'def': ["The frozenset() function returns an unchangeable frozenset object (which is like a set",
      "object, only unchangeable)."],
      'parameter': ["iterable --> An iterable object, like list, set, tuple etc."],
      'example1': [">> fruits = ['apple', 'peach', 'cherry']", ">> x = frozenset(fruits)", ">> print(x)",
      "frozenset({'cherry', 'apple', 'peach'}"],
      'example2': [">> person = {'name': 'Léo', 'age': 24}", ">> x = frozenset(person)", ">> print(x)",
      "frozenset({'name', 'age'}"],
    },
    'getattr': {
      'name': 'getattr(object, name[, default])',
      'def': ["The getattr() function returns the value of the specified attribute from the specified object."],
      'parameter': ["object --> Required. An object.",
       "name --> The name of the attribute you want to get the value from",
       "default --> Optional. The value to return if the attribute does not exist",],
      'example1': [">> class Person:", ">>   name = 'Léo'", ">>   age = 27", ">> x = getattr(Person, 'age','error')",
       ">> print(x)", ">> 27"],
      'example2': ["class Person:", ">>   name = 'Max'", ">>   age = 7", ">> x = getattr(Person, 'sex','error')",
       ">> print(x)", ">> error"],
    },
    'globals': {
      'name': 'globals()',
      'def': ["The globals() function returns the global symbol table as a dictionary.",
      "A symbol table contains necessary information about the current program"],
      'parameter': ["No parameters"],
      'example1': [">> x = globals()", ">> print(x)", ">> {'__name__': '__main__', '__doc__': None,..."],
      'example2': [],
    },
    'hasattr': {
      'name': 'hasattr(object, name)',
      'def': ["The hasattr() function returns True if the specified object has the specified attribute,",
      "otherwise False."],
      'parameter': ["object --> Required. An object.",
      "name --> The name of the attribute you want to check if exists"],
      'example1': [">> class Vehicle:", ">>   brand = 'MW'", ">>   color = 'blue'", ">> x = hasattr(Vehicle, 'brand')",
       ">> print(x)", ">> True"],
      'example2': [],
    },
    'help': {
      'name': 'help([object])',
      'def': ["The help() method calls the built-in Python help system."],
      'parameter': ["object --> you want to generate the help of the given object"],
      'example1': [">> help(list)", ">> Help on class list in module builtins:",
      ">> class list(object)", ">   list(iterable=(), /)", ">>   Built-in mutable sequence..."],
      'example2': [],
    },
    'hex': {
      'name': 'hex(x)',
      'def': ["The hex() function converts the specified number into a hexadecimal value.",
      "The returned string always starts with the prefix 0x."],
      'parameter': ["x --> an integer"],
      'example1': [">> x = hex(168)", ">> print(x)", ">> 0xa8"],
      'example2': [">> x = hex(28568)", ">> print(x)", ">> 0x6f98"],
    },
    'id': {
      'name': 'id(object)',
      'def': ["The id() function returns a unique id for the specified object.",
      "All objects in Python has its own unique id."],
      'parameter': ["object --> Any object, String, Number, List, Class etc."],
      'example1': [">> x = [1, 2, 3]", ">> y = id(x)", ">> print(y)", ">> 2007063531008",],
      'example2': [">> x = id(-1)", ">> print(x)", ">> 140719910864480"],
    },
    'input': {
      'name': 'input(prompt)',
      'def': ["The input() function allows user input."],
      'parameter': ["prompt --> A String, representing a default message before the input."],
      'example1': [">> user_name = input('What is your name?: ')", ">> What is your name?: Maxime",
      ">> print('Hello, ' + user_name)", ">> Hello, Maxime"],
      'example2': [],
    },
    'int': {
      'name': 'int(x[, base])',
      'def': ["The int() function converts the specified value into an integer number."],
      'parameter': ["value --> A number or a string that can be converted into an integer number",
      "base --> A number representing the number format. Default value: 10"],
      'example1': [">> x = int(3.1415)", ">> print(x)", ">> 3"],
      'example2': [">> x = int('1010010', 2)", ">> print(x)", ">> 82"],
    },
    'isinstance': {
      'name': 'isinstance(object, classinfo)',
      'def': ["The isinstance() function returns True if the specified object is of the",
      "specified type, otherwise False. If the type parameter is a tuple, this function",
      "will return True if the object is one of the types in the tuple."],
      'parameter': ["object --> Required. An object.",
      "type --> A type or a class, or a tuple of types and/or classes"],
      'example1': [">> class Person:", ">>   name = 'John'", ">> y = Person()", 
      "x = isinstance(y, Person)", ">> print(x)", ">> True"],
      'example2': [">> x = isinstance('hi', str)", ">> print(x)", ">> True"],
    },
    'issubclass': {
      'name': 'issubclass(class, classinfo)',
      'def': ["The issubclass() function returns True if the specified object is a subclass of the",
      "specified object, otherwise False"],
      'parameter': ["class --> Required. An object",
      "subclass --> A class object, or a tuple of class objects"],
      'example1': [">> class MyName:", ">>   name = 'Alex'", ">> class Person(MyName):",
      ">>   name = MyName", ">>   age = 24"],
      'example2': [">> x = issubclass(Person, MyName)", ">> print(x)", ">> True"],
    },
    'iter': {
      'name': 'iter(object[, sentinel])',
      'def': ["The iter() function returns an iterator object."],
      'parameter': ["object --> Required. An iterable object",
      "sentinel --> Optional. If the object is a callable object the iteration will stop when",
      "the returned value is the same as the sentinel"],
      'example1': [">> x = iter(['blue', 'red'])", ">> print(next(x))", ">> blue",
      ">> print(next(x))", ">> red"],
      'example2': [">> x = iter({'a': 0, 'b': 1})", ">> print(next(x))", ">> 'a'",
      ">> print(next(x))", ">> 'b'"],
    },
    'len': {
      'name': 'len(s)',
      'def': ["The len() function returns the number of items in an object.",
      "When the object is a string, the len() function returns the number of characters in the string."],
      'parameter': ["object --> Required. An object. Must be a sequence or a collection"],
      'example1': [">> a = {'a': 0, 'b': 1}", ">> x = len(a)", ">> print(x)", ">> 2"],
      'example2': [">> a = 'Hello everybody'", ">> x = len(a)", ">> print(x)", ">> 15"],
    },
    'list': {
      'name': 'list(iterable)',
      'def': ["The list() function creates a list object.",
      "A list object is a collection which is ordered and changeable."],
      'parameter': ["iterable --> Required. A sequence, collection or an iterator object"],
      'example1': [">> x = list(('dog', 'cat', 'cow'))", ">> print(x)", ">> ['dog', 'cat', 'cow']"],
      'example2': [">> x = list({'a': 0, 'b': 1, 'c': 3})", ">> print(x)", ">> ['a', 'b', 'c']"],
    },
    'locals': {
      'name': 'locals()',
      'def': ["The locals() function returns the local symbol table as a dictionary.",
      "A symbol table contains necessary information about the current program."],
      'parameter': ["No parameters"],
      'example1': [">> x = locals()", ">> print(x)", ">> {'__name__': '__main__', '__doc__': None, '__package__': None..."],
      'example2': [],
    },
    'map': {
      'name': 'map(function, iterable, ...)',
      'def': ["The map() function executes a specified function for each item in a iterable.",
      "The item is sent to the function as a parameter."],
      'parameter': ["function --> Required. The function to execute for each item",
      "iterable --> Required. A sequence, collection or an iterator object. You can send as many",
      "iterables as you like, just make sure the function has one parameter for each iterable."],
      'example1': [">> def substraction(a, b)", ">>   return a - b",
      ">> x = map(substraction, [8,8,6,5,4,3], [3,5,6,4,1,8])", ">> print(list(x))", ">> [5, 3, 0, 1, 3, -5]"],
      'example2': [],
    },
    'max': {
      'name': 'max(iterable, *[, key, default])',
      'def': ["The max() function returns the item with the highest value, or the item with the highest",
      "value in an iterable."],
      'parameter': ["iterable -->  an iterable such as list, tuple, set, dictionary, etc.",
      "key --> Optional.key function where the iterables are passed and comparison is performed",
      "based on its return value",
      "default --> Optional. default value if the given iterable is empty"],
      'example1': [">> a = (4, 34, -21, 17)", ">> x = max(a)", ">> print(x)", ">> 34"],
      'example2': [">> a = ['bonjour', 'hello', 'hi']", ">> x = max(a)", ">> print(x)", ">> hi"],
    },
    'max2': {
      'name': 'max(*args[, key])',
      'def': ["The max() function returns the item with the highest value, or the item with the highest",
      "value in an iterable."],
      'parameter': ["*args -->  One or more items to compare",
      "key --> Optional.key function where the iterables are passed and comparison is performed",
      "based on its return value"],
      'example1': [">> x = max(2, 4, -3, 8, 1)", ">> print(x)", ">> 8"],
      'example2': [">> x = max('John', 'Eloise', 'Daniel')", ">> print(x)", ">> John"],
    },
    'min': {
      'name': 'min(iterable, *[, key, default])',
      'def': ["The min() function returns the item with the lowest value, or the item with the lowest value in an iterable.",
      "If the values are strings, an alphabetically comparison is done."],
      'parameter': ["iterable -->  an iterable such as list, tuple, set, dictionary, etc.",
      "key --> Optional.key function where the iterables are passed and comparison is performed",
      "based on its return value",
      "default --> Optional. default value if the given iterable is empty"],
      'example1': [">> x = min(2, 4, -3, 8, 1)", ">> print(x)", ">> -3"],
      'example2': [">> x = min('John', 'Eloise', 'Daniel')", ">> print(x)", ">> Daniel"],
    },
    'next': {
      'name': 'next(iterator[, default])',
      'def': ["The next() function returns the next item in an iterator."],
      'parameter': ["iterator --> Required. An iterable object.",
      "default --> Optional. An default value to return if the iterable has reached to its end."],
      'example1': [">> a = iter([1,2,3])", ">> print(next(a))", ">> 1", ">> print(next(a))", ">> 2",
      ">> print(next(a))", ">> 3"],
      'example2': [">> a = iter(('a', 'b'))", ">> print(next(a))", ">> a", ">> print(next(a))", ">> b",
      ">> print(next(a, 'end'))", ">> end"],
    },
    'object': {
      'name': 'object()',
      'def': ["The object() function returns an empty object.",
      "You cannot add new properties or methods to this object.", 
      "This object is the base for all classes"],
      'parameter': ["No parameters"],
      'example1': [">> x = object()", ">> print(x)", ">> <object object at 0x000001D34DF8FAC0>"],
      'example2': [">> x = object()", ">> print(dir(x))", ">> ['__class__', '__delattr__', '__dir__', '__doc__'..."],
    },
    'oct': {
      'name': 'oct(x)',
      'def': ["The oct() function converts an integer into an octal string.",
      "Octal strings in Python are prefixed with 0o."],
      'parameter': ["int --> An Integer Number"],
      'example1': [">> x = oct(45)", ">> print(x)", ">> 0o55"],
      'example2': [">> x = oct(75698)", ">> print(x)", ">> 0o223662"],
    },
    'open': {
      'name': 'open(file, mode)',
      'def': ["The open() function opens a file, and returns it as a file object."],
      'parameter': ["file --> The path and name of the file",
      "mode --> A string, define which mode you want to open the file in:",
      "'r'-read, 'a'-append, 'w'-write, 'x'-create.",
      "Can specify if the file should be handled 't'-text-default or 'b'-binary"],
      'example1': ["# myFile.txt --> row1 hello world", ">> f = open('myFile.txt', 'r')",
      ">> print(f.read())", ">> hello world"],
      'example2': [],
    },
    'ord': {
      'name': 'ord(c)',
      'def': ["The ord() function returns the number representing the unicode code of a specified character."],
      'parameter': ["character --> String, any character"],
      'example1': [">> x = ord('Ð')", ">> print(x)", ">> 208"],
      'example2': [">> x = ord('7')", ">> print(x)", ">> 55"],
    },
    'pow': {
      'name': 'pow(base, exp[, mod])',
      'def': ["The pow() function returns the value of x to the power of y (x^y).",
      "If a third parameter is present, it returns x to the power of y, modulus z."],
      'parameter': ["x --> A number, the base",
      "y --> A number, the exponent",
      "z --> Optional. A number, the modulus"],
      'example1': [">> x = pow(5,5)", ">> print(x)", ">> 3125"],
      'example2': [">> x = pow(4, 3, 10)", ">> print(x)", ">> 4"],
    },
    'print': {
      'name': 'print(*objects,...)',
      'def': ["The print() function prints the specified message to the screen, or other standard output device."],
      'parameter': ["objects --> Any object, and as many as you like. Will be converted to string before printed",
      "sep='separator' --> Optional. Specify how to separate the objects. Default ' '.",
      "end='end' --> Optional. Specify what to print at the end. Default is '\\n' (line feed)",
      "file --> Optional. An object with a write method. Default is sys.stdout",
      "flush --> Optional. A Boolean, output is flushed (True) or buffered (False). Default is False"],
      'example1': [">> a = [1, 2, 3]", ">> print('the list: ', a)", ">> the list: [1, 2, 3]"],
      'example2': [">> print('hello', 'Alex', 'Max', sep='--')", ">> hello--Alex--Max"],
    },
    'range': {
      'name': 'range(start, stop,[, step])',
      'def': ["The range() function returns a sequence of numbers, starting from 0 by default, and increments",
      "by 1 (by default), and ends at a specified number."],
      'parameter': ["start --> Optional. An integer number specifying at which position to start. Default is 0",
      "stop --> Required. An integer number specifying at which position to end.",
      "step --> Optional. An integer number specifying the incrementation. Default is 1"],
      'example1': [">> for i in range(1, 9, 3):", ">>   print(i)", ">> 1", ">> 4", ">> 7"],
      'example2': [">> x = range(3,5)", ">> for i in x:", ">>   print(x)", ">> 3", ">> 4"],
    },
    'reversed': {
      'name': 'reversed(seq)',
      'def': ["The reversed() function returns a reversed iterator object."],
      'parameter': ["seq --> Required. Any iterable object"],
      'example1': [">> a = [1, 2, 3, 4]", ">> x = reversed(a)", ">> print(list(x))",
      ">> [4, 3, 2, 1]"],
      'example2': [">> a = {'a': 0, 'b': 1}", ">> x = reversed(a)", ">> print(list(x))",
      ">> ['b', 'a']"],
    },
    'round': {
      'name': 'round(number[, ndigits])',
      'def': ["The round() function returns a floating point number that is a rounded version of the specified",
      "number, with the specified number of decimals."],
      'parameter': ["number --> Required. The number to be rounded",
      "ndigits --> Optional. The number of decimals to use when rounding the number. Default is 0."],
      'example1': [">> x = round(3.1415, 2)", ">> print(x)", ">> 3.14"],
      'example2': [">> x = round(4.751)", ">> print(x)", ">> 5"],
    },
    'set': {
      'name': 'set(iterable)',
      'def': ["The set() function creates a set object.",
      "The items in a set list are unordered, so it will appear in random order."],
      'parameter': ["iterable --> Required. A sequence, collection or an iterator object"],
      'example1': [">> x = set('hello')", ">> print(x)", ">> {'e', 'h', 'l', 'o'}"],
      'example2': [">> x = set([1, 2, 3])", ">> print(x)", ">> {1, 2, 3}"],
    },
    'setattr': {
      'name': 'setattr(object, name, value)',
      'def': ["The setattr() function sets the value of the specified attribute of the specified object."],
      'parameter': ["object --> Required. An object.",
      "name --> Required. The name of the attribute you want to set",
      "value --> Required. The value you want to give the specified attribute"],
      'example1': [">> class Person:", ">>   name = 'Alex'", ">>   age = 20",
      ">> setattr(Person, 'age', 35)"],
      'example2': [">> x = getattr(Person, 'age')", ">> print(x)", ">> 35"],
    },
    'slice': {
      'name': 'slice(start, stop[, step])',
      'def': ["The slice() function returns a slice object. A slice object is used to specify how to slice a sequence."],
      'parameter': ["start --> Optional. An integer number specifying at which position to start the slicing. Default is 0",
      "end --> An integer number specifying at which position to end the slicing",
      "step --> Optional. An integer number specifying the step of the slicing. Default is 1"],
      'example1': [">> a = [1, 2, 3, 4]", ">> b = slice(1,3)", ">> print(a[b])", ">> [2, 3]"],
      'example2': [">> a = '0123456789'", ">> b = slice(1, -1, 2)", ">> print(a[b])",
      ">> 1357"],
    },
    'sorted': {
      'name': 'sorted(iterable, *, key, reverse)',
      'def': ["The sorted() function returns a sorted list of the specified iterable object."],
      'parameter': ["iterable --> Required. The sequence to sort, list, dictionary, tuple etc.",
      "key --> Optional. A Function to execute to decide the order. Default is None",
      "reverse --> Optional. A Boolean. False will sort ascending, True will sort descending."],
      'example1': [">> a = ['f', 'g', 'z', 'a']", ">> x = sorted(a)", ">> print(x)",
      ">> ['a', 'f', 'g', 'z']"],
      'example2': [">> a = [7, 6, 8, 1, 2]", ">> x = sorted(a, reverse=True)", ">> print(x)",
      ">> [8, 7, 6, 2, 1]"],
    },
    'sum': {
      'name': 'sum(iterable[, start])',
      'def': ["The sum() function returns a number, the sum of all items in an iterable."],
      'parameter': ["iterable --> Required. The sequence to sum",
      "start --> Optional. A value that is added to the return value"],
      'example1': [">> a = [2, 8, 7, 4, -3]", ">> x = sum(a)", ">> print(x)",
      ">> 18"],
      'example2': [">> a = (5, 3, 7)", ">> x = sum(a, 9)", ">> print(x)",
      ">> 24"],
    },
    'super': {
      'name': 'super()',
      'def': ["The super() function is used to give access to methods and properties of a parent or sibling class.",
      "This function returns an object that represents the parent class."],
      'parameter': ["No parameters"],
      'example1': [">> class parent:", ">>   def __init__(self, txt):", ">>      self.message = txt",
      ">>    def message(self):", ">>      print(self.message)", ">> class Child(Parent):"],
      'example2': [">>   def __init__(self, txt):",
      ">>       super().__init__(txt)", ">> x = Child('I love kiwi')", ">> x.message()",
      ">> I love kiwi"],
    },
    'tuple': {
      'name': 'tuple(iterable)',
      'def': ["The tuple() function creates a tuple object."],
      'parameter': ["iterable --> Required. A sequence, collection or an iterator object"],
      'example1': [">> x = tuple('12345')", ">> print(x)", ">> ('1', '2', '3', '4', '5')"],
      'example2': [">> x = tuple(('peach', 'apple'))", ">> print(x)", ">> ('peach', 'apple')"],
    },
    'type': {
      'name': 'type(name, bases, dict)',
      'def': ["The type() function returns the type of the specified object"],
      'parameter': ["object --> Required. If only one parameter is specified, the type() function returns the",
      "type of this object",
      "bases --> Optional. Specifies the base classes",
      "dict --> Optional. Specifies the namespace with the definition for the class"],
      'example1': [">> x = (1, 2)", ">> print(type(x))", ">> <class 'tuple'>"],
      'example2': [">> x = 'apple'", ">> print(type(x))", ">> <class 'str'>"],
    },
    'vars': {
      'name': 'vars(object)',
      'def': ["The vars() function returns the __dic__ attribute of an object.",
      "The __dict__ attribute is a dictionary containing the object's changeable attributes."],
      'parameter': ["object --> Any object with a __dict__attribute"],
      'example1': [">> class Person:", ">>   age = 21", ">> x = vars(Person)", ">> print(x)", 
      "mappingproxy({'__module__': '__main__'..."],
      'example2': [],
    },
    'zip': {
      'name': 'zip(*iterables)',
      'def': ["The zip() function returns a zip object, which is an iterator of tuples where the first item in",
      "each passed iterator is paired together, and then the second item in each passed iterator are",
      "paired together etc.",
      "If the passed iterators have different lengths, the iterator with the least items decides the",
      "length of the new iterator."],
      'parameter': ["*iterables --> Iterator objects that will be joined together"],
      'example1': [">> a = ['hello', 'bonjour', 'hola']", ">> b = ['english', 'french', 'spanish']",
      ">> x = zip(a, b)", ">> print(list(x))", ">> [('hello', 'english'), ('bonjour', 'french'), ('hola', 'spanish')]"],
      'example2': [],
    },
  },
}